Bug 978095 - zanata client can not push batched glossary
zanata client can not push batched glossary
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Maven (Show other bugs)
2.2
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 21:12 EDT by Patrick Huang
Modified: 2013-11-26 22:22 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.1-SNAPSHOT (commit 4ad67d7066)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:22:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2013-06-25 21:12:42 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.31 (KHTML, like Gecko) Chrome/26.0.1410.63 Safari/537.31
Build Identifier: 

When perform glossary push with large files require batch upload, the second iteration will fail with error:
Invalid use of SingleClientConnManager: connection still allocated
	at org.zanata.client.commands.glossary.push.GlossaryPushCommand.run(GlossaryPushCommand.java:183)
	at org.zanata.maven.ConfigurableMojo.runCommand(ConfigurableMojo.java:158)
	at org.zanata.maven.ConfigurableMojo.execute(ConfigurableMojo.java:129)



Reproducible: Always

Steps to Reproduce:
1. use fuel or compendium glossary file
2. use zanata maven plugin with version 2.2.0 or above (latest is 3.0.0)
3. execute mvn zanata:glossary-push
Actual Results:  
exception is thrown on second batch: Invalid use of SingleClientConnManager: connection still allocated 

Expected Results:  
all batch should be pushed.
Comment 2 Patrick Huang 2013-06-25 22:01:20 EDT
committed into master:
https://github.com/zanata/zanata-client/commit/8751fa1b82ca76cc07ff05982842a43e978f2bba
Comment 3 Ding-Yi Chen 2013-07-22 03:01:26 EDT
VERIFIED with Zanata version 3.0.0-alpha-2-SNAPSHOT (20130722-1231)
and Client commit 4ad67d7066 (3.0.1-SNAPSHOT)
Comment 4 Sean Flanigan 2013-11-26 22:22:25 EST
Closing bugs which were VERIFIED with snapshots <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.